<VirtualHost *:80>
    ServerName terminal.lencraftserver.de

    CustomLog /dev/null common
    ErrorLog /dev/null

    DocumentRoot /var/www/datanet

    Alias /.well-known/acme-challenge/ /var/www/datanet/.well-known/acme-challenge/

    <Directory "/var/www/datanet/.well-known/acme-challenge/">
        Options None
        AllowOverride None
        Require all granted
    </Directory>

    RewriteEngine On
    RewriteCond %{REQUEST_URI} !^/.well-known/acme-challenge/
    RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>

<IfModule mod_ssl.c>
<VirtualHost *:443>
    ServerName terminal.lencraftserver.de

    CustomLog /dev/null combined
    ErrorLog /dev/null

    ProxyPreserveHost On
    ProxyPass / http://localhost:1027/
    ProxyPassReverse / http://localhost:1027/

    SSLEngine on
    SSLCertificateFile /etc/letsencrypt/live/terminal.lencraftserver.de/fullchain.pem
    SSLCertificateKeyFile /etc/letsencrypt/live/terminal.lencraftserver.de/privkey.pem
</VirtualHost>
</IfModule>
